

*cd "C:\Users\Kiki\Documents\My Documents\Grigore\"
*use "C:\Users\Kiki\Dropbox\QJPS\data_EURO200_QJPS_final", clear

cd "/Users/zac/Desktop/ResearchProjects/QJPS/PE2"
use data_EURO200_QJPS, clear
set more off

global trend "ven ven_winner" 

global controls0 " "
global controls1 "con_educ_junior con_educ_voc con_educ_lowersec con_educ_secondarymore  age_cohort_2 age_cohort_3 age_cohort_4 hungarian gypsy urban "
global controls2 "con_educ_junior con_educ_voc con_educ_lowersec con_educ_secondarymore  age_cohort_2 age_cohort_3 age_cohort_4 hungarian gypsy urban locality_1-locality_109"


global restrict1 "con_educ_junior!=. & con_educ_voc!=. & con_educ_lowersec!=. & con_educ_secondarymore!=. &  age_cohort_2!=. & age_cohort_3!=. & age_cohort_4!=. & hungarian!=. & gypsy!=. & urban!=.  "


/* Table 1 */

tabstat  winner  computer votegovt voteda voteudmr votepsd votepopul votenow trust_locgovt trust_gov trust_parl trust_polpart  nastase tariceanu  badpol  q117_1 q117_2 q117_3 q117_4 govcarepoor govtperf,  statistic(mean sd n) save
matrix SUMSTAT = r(StatTotal)'
xml_tab SUMSTAT, save(sumstats1.xml) t(SUMSTATS) replace

tabstat  winner  computer votegovt voteda voteudmr votepsd votepopul votenow trust_locgovt trust_gov trust_parl trust_polpart  nastase tariceanu  badpol  q117_1 q117_2 q117_3 q117_4 govcarepoor govtperf if winner==1,  statistic(mean sd n) save
matrix SUMSTAT = r(StatTotal)'
xml_tab SUMSTAT, save(sumstats_winners.xml) t(SUMSTATS) replace

tabstat  winner  computer votegovt voteda voteudmr votepsd votepopul votenow trust_locgovt trust_gov trust_parl trust_polpart  nastase tariceanu  badpol  q117_1 q117_2 q117_3 q117_4 govcarepoor govtperf if winner==0,  statistic(mean sd n) save
matrix SUMSTAT = r(StatTotal)'
xml_tab SUMSTAT, save(sumstats_losers.xml) t(SUMSTATS) replace



/* Table 2 */


dprobit votenow winner $trend nonvote04   $controls1  if $restrict1  , robust
*outreg using results_2, se bracket 3aster coefastr ctitle("votegovt") replace

dprobit votegovt winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_2, se bracket 3aster coefastr ctitle("turnoutint") append

dprobit voteda winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_2, se bracket 3aster coefastr ctitle("voteda") append

dprobit voteudmr winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_2, se bracket 3aster coefastr ctitle("voteudmr") append

dprobit votepsd winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_2, se bracket 3aster coefastr ctitle("votepsd") append

dprobit votepopul winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_2, se bracket 3aster coefastr ctitle("votepopul") append

dprobit voteundec winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_2, se bracket 3aster coefastr ctitle("voteundec") append


/* Table 3 */

reg trust_locgovt winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_3, se bracket 3aster coefastr ctitle("trust_locgovt") replace

reg trust_gov winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_3, se bracket 3aster coefastr ctitle("trust_gov") append

reg trust_parl winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_3, se bracket 3aster coefastr ctitle("trust_parl") append

reg trust_polpart winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_3, se bracket 3aster coefastr ctitle("trust_polpart") append

reg nastase winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_3, se bracket 3aster coefastr ctitle("nastase") append

reg tariceanu winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_3, se bracket 3aster coefastr ctitle("tariceanu") append



/* Table 4 */

reg badpol winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_4, se bracket 3aster coefastr ctitle("badpol") replace

reg q117_1 winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_4, se bracket 3aster coefastr ctitle("q117_1") append

reg q117_2 winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_4, se bracket 3aster coefastr ctitle("q117_2") append

reg q117_3 winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_4, se bracket 3aster coefastr ctitle("q117_3") append

reg q117_4 winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_4, se bracket 3aster coefastr ctitle("q117_4") append

reg govcarepoor winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_4, se bracket 3aster coefastr ctitle("govcarepoor") append

reg govtperf winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_4, se bracket 3aster coefastr ctitle("govtperf") append



/* Table 5 */

dprobit votegovt winner $trend nonvote04 nonvote04winner voteda04 voteudmr04 votepsd04  $controls1 if $restrict1  , robust
*outreg using results_5, se bracket 3aster coefastr ctitle("govt_gains_nonvoters") replace

dprobit votegovt winner $trend votepsd04 psd04winner nonvote04  voteda04 voteudmr04  $controls1 if $restrict1  , robust
*outreg using results_5, se bracket 3aster coefastr ctitle("govt_gains_psdvoters") append

dprobit votegovt winner $trend locnatgovpart locnatgovpart_winner  nonvote04  voteda04 voteudmr04  $controls1 if $restrict1 , robust
*outreg using results_5, se bracket 3aster coefastr ctitle("govt_control_locgovern") append
lincom winner+locnatgovpart_winner

dprobit votegovt winner $trend votepsd04 psd04winner nonvote04  voteda04 voteudmr04  $controls1 if $restrict1 & locgovhomepsd==0 , robust
*outreg using results_5, se bracket 3aster coefastr ctitle("govt_gains_psdvoters_psdloc") append

dprobit votegovt winner $trend votepsd04 psd04winner nonvote04  voteda04 voteudmr04  $controls1 if $restrict1 & locnatgovpart==1 , robust
*outreg using results_5, se bracket 3aster coefastr ctitle("govt_gains_psdvoters_locnatgovt") append



/* Table 6 */

/* Step 1 - main */

dprobit votegovt winner $trend nonvote04   $controls1  if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") replace

dprobit votenow winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append


/* Step 2 - no controls */

dprobit votegovt winner $trend nonvote04   $controls0  if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append

dprobit votenow  winner $trend nonvote04   $controls0 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls0 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls0 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append




/* Step 3 - controls with locality fe */

dprobit votegovt winner $trend nonvote04   $controls2  if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append

dprobit votenow  winner $trend nonvote04   $controls2 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls2 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls2 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append


/* Step 4 - linear */


global trend "ven " 


dprobit votegovt winner $trend nonvote04   $controls1  if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append

dprobit votenow  winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append



/* Step 5 - quadratic */


global trend "ven ven2" 

dprobit votegovt winner $trend nonvote04   $controls1  if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append

dprobit votenow  winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append



/* Step 6 - cubic */


global trend "ven ven2 ven3" 

dprobit votegovt winner $trend nonvote04   $controls1  if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append

dprobit votenow  winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append



/* Step 7 - quadratic spline */


global trend "ven ven2 ven_winner ven2_winner" 



dprobit votegovt winner $trend nonvote04   $controls1  if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append

dprobit votenow  winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls1 if $restrict1  , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append


/* Step 8 - main , restricted to 500,000 LEI or $16.66666667
*/

global trend "ven ven_winner" 


dprobit votegovt winner $trend nonvote04   $controls1  if $restrict1 & ven>=-16.66666667 & ven<=16.66666667 , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append

dprobit votenow winner $trend nonvote04   $controls1 if $restrict1 & ven>=-16.66666667 & ven<=16.66666667 , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls1 if $restrict1 & ven>=-16.66666667 & ven<=16.66666667 , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls1 if $restrict1 & ven>=-16.66666667 & ven<=16.66666667 , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append

/* Step 9 - main , restricted to 300,000 LEI or $10*/

dprobit votegovt winner $trend nonvote04   $controls1  if $restrict1 & ven>=-10 & ven<=10 , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append

dprobit votenow winner $trend nonvote04   $controls1 if $restrict1 & ven>=-10 & ven<=10 , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("turnoutint") append

reg trust_locgovt winner $trend nonvote04   $controls1 if $restrict1 & ven>=-10 & ven<=10 , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt") append

reg badpol winner $trend nonvote04   $controls1 if $restrict1 & ven>=-10 & ven<=10 , robust
*outreg using results_6, se bracket 3aster coefastr ctitle("badpol") append


/* Step 10 - imbens */






	preserve

	sum ven
	keep if votegovt!=. & $restrict1  
	rdob_adj votegovt ven nonvote04   $controls1 , uniform c(0)

	display " votegovt" " : " $bw

	quietly gen wij = .



	*****rectangular kernel  *****

	quietly replace wij=1
	
	dprobit votegovt winner ven ven_winner nonvote04   $controls1  if $restrict1 & (ven>=-$bw & ven<$bw)                 ,  robust 
	*outreg using results_6, se bracket 3aster coefastr ctitle("votegovt") append
	restore


	preserve
	quietly keep if votenow!=. & $restrict1  
	rdob_adj votenow ven nonvote04   $controls1 , uniform c(0)
	display "`var1'" " : " $bw

	quietly gen wij = .

	*****rectangular kernel  *****

	quietly replace wij=1
	dprobit votenow winner ven ven_winner nonvote04   $controls1  if $restrict1 & (ven>=-$bw & ven<$bw)                ,  robust 
	*outreg using results_6, se bracket 3aster coefastr ctitle("votenow") append
	restore


	preserve
	quietly keep if trust_locgovt!=. & $restrict1  
	rdob_adj trust_locgovt  ven nonvote04   $controls1 , uniform c(0)
	display "`var1'" " : " $bw

	quietly gen wij = .

	*****rectangular kernel  *****

	quietly replace wij=1
	reg trust_locgovt  winner ven ven_winner nonvote04   $controls1  if $restrict1 & (ven>=-$bw & ven<$bw)                 ,  robust 
	*outreg using results_6, se bracket 3aster coefastr ctitle("trust_locgovt ") append
	restore



	preserve
	quietly keep if badpol!=. & $restrict1  
	rdob_adj badpol  ven nonvote04   $controls1 , uniform c(0)
	display "`var1'" " : " $bw

	quietly gen wij = .

	*****rectangular kernel  *****

	quietly replace wij=1
	reg badpol  winner ven ven_winner nonvote04   $controls1  if $restrict1 & (ven>=-$bw & ven<$bw)          ,  robust 
	*outreg using results_6, se bracket 3aster coefastr ctitle("badpol ") append
	restore


********Appendix Table 1

global trend "ven ven_winner "  
gen female=(sex==2)

xi: reg  winner winner if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("TEST") replace

global controls1 "con_educ_junior con_educ_voc con_educ_lowersec con_educ_secondarymore   hungarian gypsy urban "
xi: reg  anul winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("hh_age") append

global controls1 "con_educ_junior con_educ_voc con_educ_lowersec con_educ_secondarymore  age_cohort_2 age_cohort_3 age_cohort_4 hungarian gypsy urban "
xi: reg  female winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("hh__female") append

global controls1 "  age_cohort_2 age_cohort_3 age_cohort_4 hungarian gypsy urban "
xi: reg   con_educ_junior winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("junior") append
xi: reg   con_educ_voc winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("voc") append
xi: reg   con_educ_lowersec winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("lowersec") append
xi: reg   con_educ_secondarymore winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("sec)more") append

gen romanian=0 if hungarian~=.
replace romanian=1 if nat==1
global controls1 "con_educ_junior con_educ_voc con_educ_lowersec con_educ_secondarymore  age_cohort_2 age_cohort_3 age_cohort_4  urban "
xi: reg   romanian winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("romanian") append
xi: reg   hungarian winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("hungarian") append
xi: reg   gypsy winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("gypsy") append

global controls1 "con_educ_junior con_educ_voc con_educ_lowersec con_educ_secondarymore  age_cohort_2 age_cohort_3 age_cohort_4 hungarian gypsy "
xi: reg   urban winner $trend $controls1   if $restrict1  , robust  cluster(id)
*outreg   using appendixtable_1, se bracket 3aster coefastr ctitle("urban") append

****FIGURE 1*****

preserve
#delimit;
scatter winner  income ,
	msymbol(Oh p p)
	mcolor(black black black)
	msize(small small small)
	clwidth(small medthick medthick)
	clcolor(black black black)
	connect(. l l)
	sort
	legend(off)
	xlabel(-500000 0 500000 1000000)
	xscale(range(-500000 0 500000 1000000))
	ylabel(0 1)
	yscale(range(-.25 1.25))
	title(Panel A: Received Euro 200 coupon , position(11) size(medthick))
	ytitle(Yes=1 No=0, size(small))
	xtitle(Income, size(small))
	xline(0)
	scheme(s1color)
	saving("Figure1A",replace);


#delimit cr

 reg computer $controls1
predict computer_res if e(sample), res
drop computer
rename  computer_res computer



gen income_2=income+506000
egen income_cat50=cut(income_2), at(0    (50000) 1500000)
replace income_cat50=450000 if income_2>=500000 & income_2<506000
replace income_cat50=506000 if income_cat50==500000
 replace income_cat50=income_cat50-506000

egen income_cat25=cut(income_2), at(0(25000)1500000)
replace income_cat25=475000 if income_2>=500000 & income_2<506000
replace income_cat25=506000 if income_cat25==500000
 replace income_cat25=income_cat25-506000

keep if income_cat25~=.


global trend "income  "

 reg computer $trend if income<=0, robust
predict computer_A if e(sample)
 reg computer $trend if income>0, robust
predict computer_B if e(sample)


collapse computer*   income, by(income_cat50) 


#delimit;
scatter computer computer_B computer_A income_cat ,
	msymbol(Oh p p)
	mcolor(black black black)
	msize(small small small)
	clwidth(small medthick medthick)
	clcolor(black black black)
	connect(. l l)
	sort
	legend(off)
	xlabel(-500000 0 500000 1000000)
	xscale(range(-500000 0 500000 1000000))
	ylabel(-.5 .5)
	title(Panel B: Own Computer , position(11) size(medthick))
	ytitle(Residuals, size(small))
	xtitle(Income, size(small))
	xline(0)
	scheme(s1color)
	saving("Figure1B",replace);




restore;
#delimit cr;


preserve
 reg votenow $controls1
predict votenow_res if e(sample), res
drop votenow
rename  votenow_res votenow


 reg votegovt $controls1
predict votegovt_res if e(sample), res
drop votegovt
rename votegovt_res votegovt

reg badpol  $controls1
predict badpol_res if e(sample), res
drop badpol
rename badpol_res badpol

reg trust_locgovt $controls1
predict trust_locgovt_res if e(sample), res
drop trust_locgovt 
rename trust_locgovt_res trust_locgovt


gen income_2=income+506000
egen income_cat50=cut(income_2), at(0    (50000) 1500000)
replace income_cat50=450000 if income_2>=500000 & income_2<506000
replace income_cat50=506000 if income_cat50==500000
 replace income_cat50=income_cat50-506000

egen income_cat25=cut(income_2), at(0(25000)1500000)
replace income_cat25=475000 if income_2>=500000 & income_2<506000
replace income_cat25=506000 if income_cat25==500000
 replace income_cat25=income_cat25-506000

*gen income_cat=income_cat25
keep if income_cat25~=.


global trend "income  "

 reg votenow $trend if income<=0, robust
predict votenow_A if e(sample)
 reg votenow $trend if income>0, robust
predict votenow_B if e(sample)

 reg votegovt $trend if income<=0, robust
predict votegovt_A if e(sample)
 reg votegovt $trend if income>0, robust
predict votegovt_B if e(sample)

*drop badpol_A badpol_B
 reg badpol  $trend if income<=0, robust
predict badpol_A if e(sample)
 reg badpol  $trend if income>0, robust
predict badpol_B if e(sample)


drop trust_locgovt_A trust_locgovt_B
 reg trust_locgovt $trend if income<=0, robust
predict trust_locgovt_A if e(sample)
 reg trust_locgovt $trend if income>0, robust
predict trust_locgovt_B if e(sample)

collapse votenow* votegovt* badpol* trust_locgovt*  income, by(income_cat50) 


#delimit;
scatter votenow votenow_B votenow_A income_cat ,
	msymbol(Oh p p)
	mcolor(black black black)
	msize(small small small)
	clwidth(small medthick medthick)
	clcolor(black black black)
	connect(. l l)
	sort
	legend(off)
	xlabel(-500000 0 500000 1000000)
	xscale(range(-500000 0 500000 1000000))
	ylabel(-.5 .5)
	title(Panel A: Vote intention, position(11) size(medthick))
	ytitle(Proportion, size(small))
	xtitle(Income, size(small))
	xline(0)
	scheme(s1color)
	saving("votenow",replace);


#delimit;
scatter votegovt votegovt_B votegovt_A income_cat,
	msymbol(Oh p p)
	mcolor(black black black)
	msize(small small small)
	clwidth(small medthick medthick)
	clcolor(black black black)
	connect(. l l)
	sort
	legend(off)
	xlabel(-500000 0 500000 1000000)
	xscale(range(-500000 0 500000 1000000))
	ylabel(-.5 .5)
	title(Panel B: Vote for government, position(11) size(medthick))
	ytitle(Proportion, size(small))
	xtitle(Income, size(small))
	xline(0)
	scheme(s1color)
	saving("votegovt",replace);


#delimit;
scatter badpol  badpol_A badpol_B income_cat,
	msymbol(Oh p p)
	mcolor(black black black)
	msize(small small small)
	clwidth(small medthick medthick)
	clcolor(black black black)
	connect(. l l)
	sort
	legend(off)
	xlabel(-500000 0 500000 1000000)
	xscale(range(-500000 0 500000 1000000))
	ylabel(-.7 .7)
	title(Panel C: Politician distrust index, position(11) size(medthick))
	ytitle(Proportion, size(small))
	xtitle(Income, size(small))
	xline(0)
	scheme(s1color)
	saving("badpol",replace);

#delimit;
scatter trust_locgovt trust_locgovt_B trust_locgovt_A income_cat ,
	msymbol(Oh p p)
	mcolor(black black black)
	msize(small small small)
	clwidth(small medthick medthick)
	clcolor(black black black)
	connect(. l l)
	sort
	legend(off)
	xlabel(-500000 0 500000 1000000)
	xscale(range(-500000 0 500000 1000000))
	ylabel(-2 2)
	title(Panel D: Trust local govt, position(11) size(medthick))
	ytitle(Proportion, size(small))
	xtitle(Income, size(small))
	xline(0)
	scheme(s1color)
	saving(" trust_locgovt",replace);


#delimit;

graph combine votenow.gph votegovt.gph badpol.gph trust_locgovt.gph, ysize(6) holes(3 6) scheme(s1color) title(Figure 2 - Main results, size(small)) saving("figure2",replace);
restore;
#delimit cr

**********************APPENDIX FIGURE 1************


preserve
global bw=300000
global cutwidth "10000"
global cuts "-500000($cutwidth)1500000"



egen income_cat=cut(income), at ($cuts)
gen byte freq=1
egen total=count(freq)
collapse (sum) freq (mean) total, by(income_cat)
replace freq=freq/total
drop total

gen income_catA=income_cat if income_cat>=0
gen income_catB=income_cat if income_cat<0

locpoly freq income_cat if income_cat>=0, nograph degree(1) at(income_catA) width($bw) rectangle generate(freqY_A) adoonly
locpoly freq income_cat if income_cat<0, nograph degree(1) at(income_catB) width($bw) rectangle generate(freqY_B) adoonly

drop if income_cat==.
replace income_cat=income_cat+($cutwidth/2)


#delimit;

drop if freq>0.1;
scatter freq income_cat, 
 msymbol(Oh Oh)
 msize(small small)
 mcolor(black black)
 sort
 || line freqY_A income_cat,
 clcolor(black)
 clwidth(thick)
 clpattern(solid)
 || line freqY_B income_cat,
 clcolor(black)
 clwidth(thick)
 clpattern(solid)
 legend(off)
 xlabel(-500000 0 1000000)
 ylabel(0 .01 .025 .05)
 xscale(range(-500000 0 1000000))
 title(Appendix Figure 1 - Frequency Densities, position(11) size(medthick))
 ytitle(Density, size(small))
 xtitle(Income, size(small))
 xline(0)
 scheme(s1color)
 saving("AppendixFig1",replace);
restore;


#delimit cr

preserve

gen vilcea=(jud==2)
gen pred_votegovt=con_educ_junior*-.0195052+con_educ_voc*.0976922+con_educ_lowersec*.0430948+con_educ_secondarymore*.0812254+age_cohort_2*.0719372+age_cohort_3*.0406136+age_cohort_4*.0362879+hungarian*.168442+gypsy*-.0757116+urban*-.0098035+vilcea* .0084093+(1-vilcea)*-.0445054+.2565052


gen income_2=income+506000
egen income_cat50=cut(income_2), at(0    (50000) 1500000)
replace income_cat50=450000 if income_2>=500000 & income_2<506000
replace income_cat50=506000 if income_cat50==500000
 replace income_cat50=income_cat50-506000

egen income_cat25=cut(income_2), at(0(25000)1500000)
replace income_cat25=475000 if income_2>=500000 & income_2<506000
replace income_cat25=506000 if income_cat25==500000
 replace income_cat25=income_cat25-506000

*gen income_cat=income_cat25
keep if income_cat25~=.


global trend "income  "

  reg votegovt $trend if income<=0, robust
predict votegovt_A if e(sample)
 reg votegovt $trend if income>0, robust
predict votegovt_B if e(sample)

  reg pred_votegovt $trend if income<=0, robust
predict pred_votegovt_A if e(sample)
 reg pred_votegovt $trend if income>0, robust
predict pred_votegovt_B if e(sample)

collapse pred_votegovt* votegovt* income, by(income_cat50) 

#delimit;
scatter votegovt votegovt_B votegovt_A pred_votegovt pred_votegovt_B pred_votegovt_A income_cat,
	msymbol(Oh p p Th p p)
	mcolor(black black black red red red)
	msize(small small small small small small)
	clwidth(small medthick medthick small medthick medthick)
	clcolor(black black black red red red)
	connect(. l l . l l)
	sort
	legend(off)
	xlabel(-500000 0 500000 1000000)
	xscale(range(-500000 0 500000 1000000))
	ylabel(0 .7)
	title(Appendix Figure 2: Vote for government, position(11) size(medthick))
	ytitle(Proportion, size(small))
	xtitle(Income, size(small))
	xline(0)
	scheme(s1color)
	saving("votegovt",replace);



restore;



